import { DEFAULT_LAYOUT } from '../base';
import { AppRouteRecordRaw } from '../types';

const CHARACTER: AppRouteRecordRaw = {
  path: '/character',
  name: 'character',
  component: DEFAULT_LAYOUT,
  meta: {
    locale: 'menu.role',
    icon: 'icon-computer',
    requiresAuth: true,
    order: 2,
  },
  children: [
    {
      path: 'manage',
      name: 'Manage',
      component: () => import('@/views/character/manage/index.vue'),
      meta: {
        locale: 'menu.role.manage',
        requiresAuth: true,
        permissions: ['*'],
      },
    },
  ],
};

export default CHARACTER;
