import { defineStore } from 'pinia';
import {
  queryRoles,
  ListRecord,
  addUser,
  remove,
  update,
  enabled,
} from '@/api/role';
import { RoleState } from './type';

const useRoleStore = defineStore('role', {
  state: (): RoleState => ({
    current: undefined,
    pageSize: undefined,
    username: undefined,
    phone: undefined,
    email: undefined,
    enable: undefined,
    nickname: undefined,
    avater: undefined,
    address: undefined,
  }),

  getters: {
    roleInfo(state: RoleState): RoleState {
      return { ...state };
    },
  },
  actions: {
    async getUserInfo(params: any) {
      const res = await queryRoles(params);
      return res;
    },

    async addUser(params: any) {
      return addUser(params);
    },

    async deleteUser(id: string) {
      return remove(id);
    },

    async updateUser(data: any) {
      return update(data);
    },

    async enabledStatus(id: string) {
      return enabled(id);
    },
  },
});

export default useRoleStore;
